net.sf.jasperreports.components.headertoolbar.actions

## Class ConditionalFormattingData

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData
  - - net.sf.jasperreports.components.headertoolbar.actions.ConditionalFormattingData

-     public class ConditionalFormattingData
      extends BaseColumnData

  Version:
    $Id: ConditionalFormattingData.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConditionalFormattingData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplyTo()`
    `int` | `getColumnIndex()`
    `java.lang.String` | `getColumnType()` Deprecated. To be removed.
    `java.lang.String` | `getConditionPattern()`
    `java.util.List<FormatCondition>` | `getConditions()`
    `java.lang.String` | `getConditionType()`
    `java.lang.String` | `getFieldOrVariableName()` Deprecated. To be removed.
    `java.lang.String` | `getGroupName()`
    `java.lang.String` | `getLocaleCode()`
    `java.lang.String` | `getTimeZoneId()`
    `void` | `setApplyTo(java.lang.String applyTo)`
    `void` | `setColumnIndex(int columnIndex)`
    `void` | `setColumnType(java.lang.String columnType)` Deprecated. To be removed.
    `void` | `setConditionPattern(java.lang.String filterPattern)`
    `void` | `setConditions(java.util.List<FormatCondition> conditions)`
    `void` | `setConditionType(java.lang.String filterType)`
    `void` | `setFieldOrVariableName(java.lang.String fieldOrVariableName)` Deprecated. To be removed.
    `void` | `setGroupName(java.lang.String groupName)`
    `void` | `setLocaleCode(java.lang.String localeCode)`
    `void` | `setTimeZoneId(java.lang.String timeZoneId)`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData

      `getTableUuid, setTableUuid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionalFormattingData

          public ConditionalFormattingData()

  - ### Method Detail

    - #### getColumnIndex

          public int getColumnIndex()

    - #### setColumnIndex

          public void setColumnIndex(int columnIndex)

    - #### getConditionType

          public java.lang.String getConditionType()

    - #### setConditionType

          public void setConditionType(java.lang.String filterType)

    - #### getConditionPattern

          public java.lang.String getConditionPattern()

    - #### setConditionPattern

          public void setConditionPattern(java.lang.String filterPattern)

    - #### getLocaleCode

          public java.lang.String getLocaleCode()

    - #### setLocaleCode

          public void setLocaleCode(java.lang.String localeCode)

    - #### getTimeZoneId

          public java.lang.String getTimeZoneId()

    - #### setTimeZoneId

          public void setTimeZoneId(java.lang.String timeZoneId)

    - #### getColumnType

          public java.lang.String getColumnType()

      Deprecated. To be removed.

    - #### setColumnType

          public void setColumnType(java.lang.String columnType)

      Deprecated. To be removed.

    - #### getFieldOrVariableName

          public java.lang.String getFieldOrVariableName()

      Deprecated. To be removed.

    - #### setFieldOrVariableName

          public void setFieldOrVariableName(java.lang.String fieldOrVariableName)

      Deprecated. To be removed.

    - #### getConditions

          public java.util.List<FormatCondition> getConditions()

    - #### setConditions

          public void setConditions(java.util.List<FormatCondition> conditions)

    - #### getApplyTo

          public java.lang.String getApplyTo()

    - #### setApplyTo

          public void setApplyTo(java.lang.String applyTo)

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### setGroupName

          public void setGroupName(java.lang.String groupName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com